org.crosswire.jsword.passage

## Enum PassageEvent.EventType

- java.lang.Object
- - java.lang.Enum<PassageEvent.EventType>
  - - org.crosswire.jsword.passage.PassageEvent.EventType

- All Implemented Interfaces:
    Serializable, Comparable<PassageEvent.EventType>
  Enclosing class:
    PassageEvent

      public static enum PassageEvent.EventType
      extends Enum<PassageEvent.EventType>

  Indicates what kind of change happened to a Passage.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED` Identifies the addition of one or more contiguous items to the list
    `CHANGED` Identifies one or more changes in the lists contents.
    `REMOVED` Identifies the removal of one or more contiguous items from the list

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PassageEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PassageEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANGED

          public static final PassageEvent.EventType CHANGED

      Identifies one or more changes in the lists contents.

    - #### ADDED

          public static final PassageEvent.EventType ADDED

      Identifies the addition of one or more contiguous items to the list

    - #### REMOVED

          public static final PassageEvent.EventType REMOVED

      Identifies the removal of one or more contiguous items from the list

  - ### Method Detail

    - #### values

          public static PassageEvent.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PassageEvent.EventType c : PassageEvent.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PassageEvent.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null